/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xml.bind.valueobject;

import java.util.List;

/**
 * SAXイベントのうち 要素(Element)を記憶します。このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
public class BlancoXmlElement extends BlancoXmlNode {
    /**
     * フィールド [uri]
     *
     * 項目の型 [java.lang.String]<br>
     * 名前空間URI。
     */
    private String fUri;

    /**
     * フィールド [localName]
     *
     * 項目の型 [java.lang.String]<br>
     * ローカル名。
     */
    private String fLocalName;

    /**
     * フィールド [qName]
     *
     * 項目の型 [java.lang.String]<br>
     * 前置修飾子付きの修飾名。
     */
    private String fQName;

    /**
     * フィールド [atts]
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlAttribute>]<br>
     * 規定値   [new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlAttribute>()]<br>
     * blanco.xml.BlancoXmlAttributeのリスト。
     */
    private List<blanco.xml.bind.valueobject.BlancoXmlAttribute> fAtts = new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlAttribute>();

    /**
     * フィールド [childNodes]
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlNode>]<br>
     * 規定値   [new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlNode>()]<br>
     * 子ノードのリスト。
     */
    private List<blanco.xml.bind.valueobject.BlancoXmlNode> fChildNodes = new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlNode>();

    /**
     * フィールド [uri]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 名前空間URI。
     *
     * @param argUri フィールド[uri]に格納したい値
     */
    public void setUri(final String argUri) {
        fUri = argUri;
    }

    /**
     * フィールド[uri]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 名前空間URI。
     *
     * @return フィールド[uri]に格納されている値
     */
    public String getUri() {
        return fUri;
    }

    /**
     * フィールド [localName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ローカル名。
     *
     * @param argLocalName フィールド[localName]に格納したい値
     */
    public void setLocalName(final String argLocalName) {
        fLocalName = argLocalName;
    }

    /**
     * フィールド[localName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ローカル名。
     *
     * @return フィールド[localName]に格納されている値
     */
    public String getLocalName() {
        return fLocalName;
    }

    /**
     * フィールド [qName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 前置修飾子付きの修飾名。
     *
     * @param argQName フィールド[qName]に格納したい値
     */
    public void setQName(final String argQName) {
        fQName = argQName;
    }

    /**
     * フィールド[qName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 前置修飾子付きの修飾名。
     *
     * @return フィールド[qName]に格納されている値
     */
    public String getQName() {
        return fQName;
    }

    /**
     * フィールド [atts]のセッターメソッド
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlAttribute>]<br>
     * blanco.xml.BlancoXmlAttributeのリスト。
     *
     * @param argAtts フィールド[atts]に格納したい値
     */
    public void setAtts(final List<blanco.xml.bind.valueobject.BlancoXmlAttribute> argAtts) {
        fAtts = argAtts;
    }

    /**
     * フィールド[atts]のゲッターメソッド
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlAttribute>]<br>
     * 規定値   [new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlAttribute>()]<br>
     * blanco.xml.BlancoXmlAttributeのリスト。
     *
     * @return フィールド[atts]に格納されている値
     */
    public List<blanco.xml.bind.valueobject.BlancoXmlAttribute> getAtts() {
        return fAtts;
    }

    /**
     * フィールド [childNodes]のセッターメソッド
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlNode>]<br>
     * 子ノードのリスト。
     *
     * @param argChildNodes フィールド[childNodes]に格納したい値
     */
    public void setChildNodes(final List<blanco.xml.bind.valueobject.BlancoXmlNode> argChildNodes) {
        fChildNodes = argChildNodes;
    }

    /**
     * フィールド[childNodes]のゲッターメソッド
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlNode>]<br>
     * 規定値   [new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlNode>()]<br>
     * 子ノードのリスト。
     *
     * @return フィールド[childNodes]に格納されている値
     */
    public List<blanco.xml.bind.valueobject.BlancoXmlNode> getChildNodes() {
        return fChildNodes;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlElement[");
        buf.append("uri=" + fUri);
        buf.append(",localName=" + fLocalName);
        buf.append(",qName=" + fQName);
        buf.append(",atts=" + fAtts);
        buf.append(",childNodes=" + fChildNodes);
        buf.append("]");
        return buf.toString();
    }
}
